Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.dom
Class Annotation

    java.lang.Object
      org.eclipse.jdt.core.dom.ASTNode
          org.eclipse.jdt.core.dom.Expression
              org.eclipse.jdt.core.dom.Annotation

All Implemented Interfaces:
  IExtendedModifier

Direct Known Subclasses:
  MarkerAnnotation, NormalAnnotation, SingleMemberAnnotation

public abstract class Annotation
extends Expression
implements IExtendedModifier

Abstract base class of AST nodes that represent annotations.

     Annotation:
    		NormalAnnotation
    		MarkerAnnotation
    		SingleMemberAnnotation

Note: This API element is only needed for dealing with Java code that uses new language features of J2SE 1.5. It is included in anticipation of J2SE 1.5 support, which is planned for the next release of Eclipse after 3.0, and may change slightly before reaching its final form.

Since:
  3.0

Field Summary

Fields inherited from class org.eclipse.jdt.core.dom.ASTNode
`ANNOTATION_TYPE_DECLARATION, ANNOTATION_TYPE_MEMBER_DECLARATION, ANONYMOUS_CLASS_DECLARATION, ARRAY_ACCESS, ARRAY_CREATION, ARRAY_INITIALIZER, ARRAY_TYPE, ASSERT_STATEMENT, ASSIGNMENT, BLOCK, BLOCK_COMMENT, BOOLEAN_LITERAL, BREAK_STATEMENT, CAST_EXPRESSION, CATCH_CLAUSE, CHARACTER_LITERAL, CLASS_INSTANCE_CREATION, COMPILATION_UNIT, CONDITIONAL_EXPRESSION, CONSTRUCTOR_INVOCATION, CONTINUE_STATEMENT, DO_STATEMENT, EMPTY_STATEMENT, ENHANCED_FOR_STATEMENT, ENUM_CONSTANT_DECLARATION, ENUM_DECLARATION, EXPRESSION_STATEMENT, FIELD_ACCESS, FIELD_DECLARATION, FOR_STATEMENT, IF_STATEMENT, IMPORT_DECLARATION, INFIX_EXPRESSION, INITIALIZER, INSTANCEOF_EXPRESSION, JAVADOC, LABELED_STATEMENT, LINE_COMMENT, MALFORMED, MARKER_ANNOTATION, MEMBER_REF, MEMBER_VALUE_PAIR, METHOD_DECLARATION, METHOD_INVOCATION, METHOD_REF, METHOD_REF_PARAMETER, MODIFIER, NORMAL_ANNOTATION, NULL_LITERAL, NUMBER_LITERAL, ORIGINAL, PACKAGE_DECLARATION, PARAMETERIZED_TYPE, PARENTHESIZED_EXPRESSION, POSTFIX_EXPRESSION, PREFIX_EXPRESSION, PRIMITIVE_TYPE, PROTECT, QUALIFIED_NAME, QUALIFIED_TYPE, RETURN_STATEMENT, SIMPLE_NAME, SIMPLE_TYPE, SINGLE_MEMBER_ANNOTATION, SINGLE_VARIABLE_DECLARATION, STRING_LITERAL, SUPER_CONSTRUCTOR_INVOCATION, SUPER_FIELD_ACCESS, SUPER_METHOD_INVOCATION, SWITCH_CASE, SWITCH_STATEMENT, SYNCHRONIZED_STATEMENT, TAG_ELEMENT, TEXT_ELEMENT, THIS_EXPRESSION, THROW_STATEMENT, TRY_STATEMENT, TYPE_DECLARATION, TYPE_DECLARATION_STATEMENT, TYPE_LITERAL, TYPE_PARAMETER, VARIABLE_DECLARATION_EXPRESSION, VARIABLE_DECLARATION_FRAGMENT, VARIABLE_DECLARATION_STATEMENT, WHILE_STATEMENT, WILDCARD_TYPE`

Method Summary
`Name` | `getTypeName()` Returns the annotation type name of this annotation.
`boolean` | `isAnnotation()` Returns whether this extended modifier is an annotation.
`boolean` | `isMarkerAnnotation()` Returns whether this is a marker annotation (`MarkerAnnotation`).
`boolean` | `isModifier()` Returns whether this extended modifier is a standard modifier.
`boolean` | `isNormalAnnotation()` Returns whether this is a normal annotation (`NormalAnnotation`).
`boolean` | `isSingleMemberAnnotation()` Returns whether this is a single member annotation.
`void` | `setTypeName(Name typeName)` Sets the annotation type name of this annotation.

Methods inherited from class org.eclipse.jdt.core.dom.Expression
`resolveTypeBinding`

Methods inherited from class org.eclipse.jdt.core.dom.ASTNode
`accept, copySubtree, copySubtrees, delete, equals, getAST, getFlags, getLength, getLocationInParent, getNodeType, getParent, getProperty, getRoot, getStartPosition, getStructuralProperty, nodeClassForType, properties, setFlags, setProperty, setSourceRange, setStructuralProperty, structuralPropertiesForType, subtreeBytes, subtreeMatch, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### isModifier

    public boolean isModifier()

  Description copied from interface: `IExtendedModifier`
  Returns whether this extended modifier is a standard modifier.

  Specified by:
    `isModifier` in interface `IExtendedModifier`
  Returns:
    `true` if this is a standard modifier (instance of `Modifier`), and `false` otherwise
  See Also:
    `IExtendedModifier.isModifier()`

### isAnnotation

    public boolean isAnnotation()

  Description copied from interface: `IExtendedModifier`
  Returns whether this extended modifier is an annotation.

  Specified by:
    `isAnnotation` in interface `IExtendedModifier`
  Returns:
    `true` if this is an annotation (instance of a subclass of `Annotation`), and `false` otherwise
  See Also:
    `IExtendedModifier.isAnnotation()`

### getTypeName

    public Name getTypeName()

  Returns the annotation type name of this annotation.

  Returns:
    the annotation type name

### setTypeName

    public void setTypeName(Name typeName)

  Sets the annotation type name of this annotation.

  Parameters:
    `typeName` - the annotation type name
  Throws:
    `IllegalArgumentException` - if:
    - the node belongs to a different AST
    - the node already has a parent

### isNormalAnnotation

    public boolean isNormalAnnotation()

  Returns whether this is a normal annotation (`NormalAnnotation`).

  Returns:
    `true` if this is a normal annotation, and `false` otherwise

### isMarkerAnnotation

    public boolean isMarkerAnnotation()

  Returns whether this is a marker annotation (`MarkerAnnotation`).

  Returns:
    `true` if this is a marker annotation, and `false` otherwise

### isSingleMemberAnnotation

    public boolean isSingleMemberAnnotation()

  Returns whether this is a single member annotation. (`SingleMemberAnnotation`).

  Returns:
    `true` if this is a single member annotation, and `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.